using System;
using System.Collections.Generic;
using System.Text;
using System.Data.DLinq;

namespace LINQToSQL
{
    public class OrderDetail
    {

        public int OrderID;
        public int ProductID;
        public decimal UnitPrice;
        public short Quantity;
        public float Discount;
        private EntityRef<Order> _Order;
        private EntityRef<Product> _Product;

        public Order Order
        {
            get
            {
                return _Order.Entity;
            }
            set
            {
                Order v = _Order.Entity;
                if ((v != value))
                {
                    if ((v != null))
                    {
                        _Order.Entity = null;
                        v.OrderDetails.Remove(this);
                    }
                    _Order.Entity = value;
                    if ((value != null))
                    {
                        value.OrderDetails.Add(this);
                    }
                }
            }
        }

        public Product Product
        {
            get
            {
                return _Product.Entity;
            }
            set
            {
                Product v = _Product.Entity;
                if ((v != value))
                {
                    if ((v != null))
                    {
                        _Product.Entity = null;
                        v.OrderDetails.Remove(this);
                    }
                    _Product.Entity = value;
                    if ((value != null))
                    {
                        value.OrderDetails.Add(this);
                    }
                }
            }
        }

    }
}
