using System;
using System.Collections.Generic;
using System.Text;
using System.Data.DLinq;

namespace FullGen
{
     public partial class Northwind : DataContext
    {
        [UpdateMethod]
        public void OnProductUpdate(Product original, Product current) {
            // Execute the stored procedure for UnitsInStock update
            if (original.UnitsInStock != current.UnitsInStock) {
                int rowCount = this.ExecuteCommand(
                    "exec UpdateProductStock " +
                    "@id={0}, @originalUnits={1}, @decrement={2}",
                    original.ProductID,
                    original.UnitsInStock,
                    (original.UnitsInStock - current.UnitsInStock)
                );
            }
            //...
        }
    }

}
