Module Program

    Sub Main()
        'SimplifyWithLinq()
        'ProjectingAnAnonymousType()
    End Sub

#Region "4: Shows how the LINQ syntax cleans this up even further"
    Public Sub SimplifyWithLinq()
        Dim ds As New DataSource

        Dim customers = ds.GetCustomerList()

        Dim query = From c In customers _
            Where c.City = "Seattle" _
            Select c

        ObjectDumper.Write(query)

    End Sub
#End Region

#Region "6: Shows projection with anonymous types"
    Public Sub ProjectingAnAnonymousType()
        Dim ds As New DataSource

        Dim customers = ds.GetCustomerList()

        Dim query = From c In customers _
            Where c.City = "Seattle" _
            Select New {c.CustomerID, c.CompanyName}

        ObjectDumper.Write(query)

    End Sub
#End Region

End Module
