using System;
using System.Collections.Generic;
using System.Text;
using System.Data.DLinq;
using System.Reflection;
using System.IO;

namespace LINQToSQL
{
    public static class Mapping
    {
        public static XmlMappingSource GetMapping()
        {
            XmlMappingSource mapping;
            using (Stream stream = Assembly.GetExecutingAssembly().GetManifestResourceStream("LINQToSQL.NorthWindContext.map"))
            {
                mapping = XmlMappingSource.FromStream(stream);
            }

            return mapping;
        }
    }
}
