using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;
using System.Data.Linq;

namespace LINQToSQL
{
    public class Customer
    {
        #region Storage
        private EntitySet<Order> _Orders = new EntitySet<Order>();
        #endregion

        #region Public Fields
        public string CustomerID;
        public string CompanyName;
        public string ContactName;
        public string ContactTitle;
        public string Address;
        public string City;
        public string Region;
        public string PostalCode;
        public string Country;
        public string Phone;
        public string Fax;
        #endregion


        #region Properties
        public IList<Order> Orders
        {
            get
            {
                return _Orders;
            }
            set
            {
                _Orders.Assign(value);
            }
        }
        #endregion
    }

}
