Module Program

    Sub Main()
        ParseXMLTreeFromString()
    End Sub

#Region "1: Shows how to load an XElement by parsing a string"
    Public Sub ParseXMLTreeFromString()
        Dim doc = LoadContactsFromString()
        Console.WriteLine(doc)
    End Sub
#End Region


    Public Function LoadContactsFromString() As XElement
        Return _
            <contacts>
                <contact>
                    <name>Patrick Hines</name>
                    <phone type="home">206-555-0144</phone>
                    <phone type="work">425-555-0145</phone>
                    <address>
                        <street1>123 Main St</street1>
                        <city>Mercer Island</city>
                        <state>WA</state>
                        <postal>68042</postal>
                    </address>
                    <netWorth>10</netWorth>
                </contact>
                <contact>
                    <name>Gretchen Rivas</name>
                    <phone type="mobile">206-555-0163</phone>
                    <address>
                        <street1>123 Main St</street1>
                        <city>Mercer Island</city>
                        <state>WA</state>
                        <postal>68042</postal>
                    </address>
                    <netWorth>11</netWorth>
                </contact>
                <contact>
                    <name>Scott MacDonald</name>
                    <phone type="home">925-555-0134</phone>
                    <phone type="mobile">425-555-0177</phone>
                    <address>
                        <street1>345 Stewart St</street1>
                        <city>Chatsworth</city>
                        <state>CA</state>
                        <postal>91746</postal>
                    </address>
                    <netWorth>500000</netWorth>
                </contact>
            </contacts>

    End Function


End Module
