﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;


namespace ExtensionMethods {
	using MyStuff;

	class Program {
		static void Main(string[] args) {
			string[] strings = { "To be or not to be", 
                           "That is the question", 
                           "Whether tis nobler" };

			string hamlet = strings.Concatenate(",");
			Console.WriteLine(hamlet);

			42.DoSomething( );
		}
	}
}

namespace MyStuff {
	public static class StringHelpers {
		public static string Concatenate(
		  this IEnumerable<string> strings, string separator) {
			StringBuilder buffer = new StringBuilder( );
			foreach (string item in strings) {
				buffer.Append(item);
				buffer.Append(separator);
			}
			return buffer.ToString( );
		}

		public static int DoSomething(this int value) {
			return 0;
		}
	}
}
